package org.richfaces.demo.push.mbean;

import java.io.Serializable;
import java.util.UUID;

import org.richfaces.application.push.MessageException;
import org.richfaces.application.push.TopicKey;
import org.richfaces.application.push.TopicsContext;

public class PushBean implements Serializable {

    private static final long serialVersionUID = 1L;

    public String getUUID() {
        return UUID.randomUUID().toString();
    }
    
    public void sentMessage() {
        try {
            TopicKey topicKey = new TopicKey("pushTopicsContext");
            TopicsContext topicsContext = TopicsContext.lookup();
            topicsContext.publish(topicKey, "message");
        } catch (MessageException e) {
            if (!e.getMessage().matches("^Topic .* not found$")) {
                e.printStackTrace();
            }
        }
    }
}
